Skip to main content
`Ctrl`+`K`

# SNESQNScaleType

the scaling type used by `SNESQN`

## Values

- `SNES_QN_SCALE_NONE` - don’t scale the problem

- `SNES_QN_SCALE_SCALAR` - use Shanno scaling

- `SNES_QN_SCALE_DIAGONAL` - scale with a diagonalized BFGS formula (see Gilbert and Lemarechal 1989), available

- `SNES_QN_SCALE_JACOBIAN` - scale by solving a linear system coming from the Jacobian you provided with `SNESSetJacobian()` computed at the first iteration of `SNESQN` and at ever restart.

## Options Database Key

- -snes_qn_scale_type <diagonal,none,scalar,jacobian> - Scaling type

## See Also

`SNES,` SNESQN`,` SNESQNSetScaleType()`,` SNESQNType`,` SNESQNSetType()`,` SNESQNSetRestartType()`,` SNESQNRestartType`

## Level

intermediate

## Location

include/petscsnes.h

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages